/* Copyright (c) 1997, MpegTV LLC */
#ifndef _msg_types_h
#define _msg_types_h
#ifndef lint
static const char rcsid_msg_types_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/msg_types.h,v 1.5 1998/08/28 03:04:36 tristan Exp tristan $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "mtvp/msg.h"

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/
/*
 * The parameter (int) of MTVP_COMMAND_MSG_SELECT and MTVP_COMMAND_AUDIO_MSG_SELECT is a mask
 * constructed by bitwise OR of the following flags:
 */

/*
 * For MTVP_COMMAND_MSG_SELECT and MTVP_COMMAND_AUDIO_MSG_SELECT:
 */
#define	MTVP_MSG_PTS		(1 << 4)	/* audio / PTS messages */
#define	MTVP_MSG_PMP		(1 << 5)	/* process communication messages */
#define	MTVP_MSG_READ		(1 << 6)	/* input stream read messages */
#define	MTVP_MSG_TIME		(1 << 11)	/* include time in messages */
#define	MTVP_MSG_SRCFILE	(1 << 12)	/* include source file and line in messages */

/*
 * Only for MTVP_COMMAND_MSG_SELECT:
 */
#define	MTVP_MSG_SYNC		(1 << 3)	/* framerate sync messages */
#define	MTVP_MSG_SYS		(1 << 7)	/* systems parsing messages */
#define	MTVP_MSG_X			(1 << 8)	/* Xlib messages */
#define	MTVP_MSG_SYS_POS	(1 << 9)	/* include systems parser position in messages */
#define	MTVP_MSG_VIDEO_POS	(1 << 10)	/* include video parser position in messages */
#define	MTVP_MSG_THREAD		(1 << 13)	/* input read thread messages */
#define	MTVP_MSG_SIH		(1 << 14)	/* SIH (Stream Input Handler) messages */

/*
 * Only for MTVP_COMMAND_AUDIO_MSG_SELECT:
 */
#define	MTVP_MSG_AUDIO_SYNC		(1 << 8)	/* audio sync */
#define	MTVP_MSG_AUDIO_IOCTL	(1 << 9)	/* audio ioctl */
#define	MTVP_MSG_AUDIO_WRITE	(1 << 10)	/* audio write samples */



#endif /* _msg_types_h */
